Bug 1030633 - Fedora 20 beta (and updates) unable to boot Intel Atom N2600 without 'acpi=off'
Fedora 20 beta (and updates) unable to boot Intel Atom N2600 without 'acpi=off'
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
20
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-14 15:19 EST by Dave Kline
Modified: 2013-12-04 09:07 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-04 09:07:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
journalctl output of boot with 'acpi=off' (100.84 KB, text/plain)
2013-11-17 12:41 EST, Dave Kline
no flags Details

  None (edit)
Description Dave Kline 2013-11-14 15:19:54 EST
Description of problem:

Greetings. Any Fedora 20 incarnation fails to boot (including the beta) on my Intel Atom N2600-based machine unless I add 'acpi=off' to the kernel command line.  This includes kernels up to and including 3.11.7-300.fc20.x86_64 

Version-Release number of selected component (if applicable):

3.11.7-300.fc20.x86_64 / Fedora 20 Beta and subsequent updates 

How reproducible:

Attempt to boot into Live installer, normal installer media, or normal boot

Actual results:

The normal Fedora installation media will simply hang.  If I add "plymouth.enable=0" and remove "quiet", the last message is "Switched to clocksource tsc".

With 'acpi=off' I can complete the installation.  However even after updates the machine will not boot unless 'acpi=off' is added to the grub menu.

Expected results:

Booting/installing without the added 'acpi=off' option.

Additional info:

Researching the bug, I found references to ACPI: http://www.spinics.net/lists/linux-acpi/msg42849.html

Happy to provide more information and be a guinea pig to test fixes.
Comment 1 Dave Kline 2013-11-17 12:41:51 EST
Created attachment 825225 [details]
journalctl output of boot with 'acpi=off'
Comment 2 Dave Kline 2013-11-17 12:42:20 EST
Followed some advice here: http://fedoraproject.org/wiki/Common_kernel_problems

Couple of quick updates.  Booting with pci=noacpi hangs at the same place (Switched to clocksource tsc), and applying different 'clocksource' parameters (hpet, jiffies, etc) also yields no love.

Booting with 'noapictimer' gives a different error, a couple of lines of "Could not switch to high resolution mode on CPU 3", etc per CPU, and " lapic is not functional."  Net result is still a hang.

Per the above web page, the only way to boot that I know of is 'acpi=off'.
Comment 3 Johan van der Slikke 2013-11-19 18:37:09 EST
Exactly same issue here, also on Intel Atom N2600. If I could help anyhow with e.g. testing, please let me know.
Comment 4 Dave Kline 2013-11-24 10:26:42 EST
As a positive update, kernel-3.11.9-300.fc20.x86_64 appears to fix the issue.  I am able to boot this kernel leaving ACPI enabled.
Comment 5 Michele Baldessari 2013-11-24 13:11:59 EST
Odd, don't see any changes between 3.11.7 and 3.11.9 that could be relevant.

Johan, is it fixed for you as well if you use 3.11.9-300.fc20 like Dave?

thanks,
Michele
Comment 6 Johan van der Slikke 2013-12-03 17:02:17 EST
Confirmed that: my kernel version is 3.11.10 now, it boots successfully without the acpi=off parameter.
Comment 7 Josh Boyer 2013-12-04 09:07:33 EST
Thanks all.

Note You need to log in before you can comment on or make changes to this bug.